For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
ModelsChatRankingsDocs
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
  • API Guides
    • Overview
    • Streaming
    • Embeddings
    • Limits
    • Authentication
    • Parameters
    • Errors and Debugging
  • API Reference
      • GETGet user activity grouped by endpoint
LogoLogo
ModelsChatRankingsDocs
API ReferenceAnalytics

Get user activity grouped by endpoint

GET
https://openrouter.ai/api/v1/activity
GET
/api/v1/activity
$curl https://openrouter.ai/api/v1/activity \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "byok_usage_inference": 0.012,
5 "completion_tokens": 125,
6 "date": "2025-08-24",
7 "endpoint_id": "550e8400-e29b-41d4-a716-446655440000",
8 "model": "openai/gpt-4.1",
9 "model_permaslug": "openai/gpt-4.1-2025-04-14",
10 "prompt_tokens": 50,
11 "provider_name": "OpenAI",
12 "reasoning_tokens": 25,
13 "requests": 5,
14 "usage": 0.015
15 }
16 ]
17}

Returns user activity data grouped by endpoint for the last 30 (completed) UTC days. Management key required.

Was this page helpful?
Previous

List BYOK provider credentials

Next
Built with

Authentication

AuthorizationBearer
API key as bearer token in Authorization header

Query parameters

datestringOptional

Filter by a single UTC date in the last 30 days (YYYY-MM-DD format).

api_key_hashstringOptional

Filter by API key hash (SHA-256 hex string, as returned by the keys API).

user_idstringOptional
Filter by org member user ID. Only applicable for organization accounts.

Response

Returns user activity data grouped by endpoint
datalist of objects
List of activity items

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error